Subject: Re: d-feet: Fails to build (Function does not take positional arguments)

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 04 May 2023 19:48:34 +0200

Am Donnerstag, dem 04.05.2023 um 17:13 +0200 schrieb Ivan Vilata i
Balaguer:
> Hi!  It looks like the Meson build of `d-feet` fails to complete in
> the version of Guix shown below:
> 
> ```
> $ guix describe
> Generation 56   May 02 2023 11:25:26    (current)
>   guix 3f8c489
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 3f8c4899a9a67bb509a603bd21dcfcfab88c0e8e
> ```
> 
> This is the final part of the build log:
> 
> ```
> starting phase `configure'
> The Meson build system
> Version: 1.1.0
> Source dir: /tmp/guix-build-d-feet-0.3.16.drv-0/d-feet-0.3.16
> Build dir: /tmp/guix-build-d-feet-0.3.16.drv-0/build
> Build type: native build
> Project name: d-feet
> Project version: 0.3.16
> Host machine cpu family: x86_64
> Host machine cpu: x86_64
> Program python3 found: YES
> (/gnu/store/dy3xh053ahkhrp2jamggq8cpsyvp8mg0-python-
> 3.10.7/bin/python3)
> Found pkg-config: /gnu/store/jz5dwdxq4di29cd0rjjzkw356dhkzjil-pkg-
> config-0.29.2/bin/pkg-config (0.29.2)
> Run-time dependency gtk+-3.0 found: YES 3.24.37
> Run-time dependency gobject-introspection-1.0 found: YES 1.72.0
> Run-time dependency gio-2.0 found: YES 2.72.3
> Program msgfmt found: YES
> (/gnu/store/5d0fgnmh63yx98s1kfp57rc2x05xqk1d-gettext-minimal-
> 0.21/bin/msgfmt)
> Program msginit found: YES
> (/gnu/store/5d0fgnmh63yx98s1kfp57rc2x05xqk1d-gettext-minimal-
> 0.21/bin/msginit)
> Program msgmerge found: YES
> (/gnu/store/5d0fgnmh63yx98s1kfp57rc2x05xqk1d-gettext-minimal-
> 0.21/bin/msgmerge)
> Program xgettext found: YES
> (/gnu/store/5d0fgnmh63yx98s1kfp57rc2x05xqk1d-gettext-minimal-
> 0.21/bin/xgettext)
> Configuring d-feet using configuration
> Configuring tests.py using configuration
> Program pep8 found: YES (/gnu/store/09j78kk5zw662qw8y949ndswqp23193b-
> python-pep8-1.7.0/bin/pep8)
> Configuring org.gnome.dfeet.desktop.in using configuration
> 
> ../d-feet-0.3.16/data/meson.build:15:5: ERROR: Function does not take
> positional arguments.
> 
> A full log can be found at /tmp/guix-build-d-feet-0.3.16.drv-
> 0/build/meson-logs/meson-log.txt
> error: in phase 'configure': uncaught exception:
> %exception #<&invoke-error program: "meson" arguments: ("setup" "--
> prefix=/gnu/store/y414lsncri13kn6wz1hzhgzy6lpbivlf-d-feet-0.3.16" "--
> buildtype=debugoptimized" "-Dc_link_args=-Wl,-
> rpath=/gnu/store/y414lsncri13kn6wz1hzhgzy6lpbivlf-d-feet-0.3.16/lib"
> "-Dcpp_link_args=-Wl,-
> rpath=/gnu/store/y414lsncri13kn6wz1hzhgzy6lpbivlf-d-feet-0.3.16/lib"
> "/tmp/guix-build-d-feet-0.3.16.drv-0/d-feet-0.3.16") exit-status: 1
> term-signal: #f stop-signal: #f> 
> phase `configure' failed after 0.7 seconds
> command "meson" "setup" "--
> prefix=/gnu/store/y414lsncri13kn6wz1hzhgzy6lpbivlf-d-feet-0.3.16" "--
> buildtype=debugoptimized" "-Dc_link_args=-Wl,-
> rpath=/gnu/store/y414lsncri13kn6wz1hzhgzy6lpbivlf-d-feet-0.3.16/lib"
> "-Dcpp_link_args=-Wl,-
> rpath=/gnu/store/y414lsncri13kn6wz1hzhgzy6lpbivlf-d-feet-0.3.16/lib"
> "/tmp/guix-build-d-feet-0.3.16.drv-0/d-feet-0.3.16" failed with
> status 1
> ```
> 
> Unfortunately I know nothing about Meson, so I can't suggest a way to
> go…
> 
> Thanks and have a nice day!
Looking at d-feet itself, it appears as though it has been all but
deprecated in the favour of d-spy.  Perhaps guix should simply declare
it a deprecated package instead of attempting to patch it – a patch has
already been filed upstream previously, but is not yet merged any
branch as far as I'm aware.

Cheers